XmlOptions.XmlOptionsKeys (xmlbeans API)

org.apache.xmlbeans

## Enum XmlOptions.XmlOptionsKeys

- java.lang.Object
- - java.lang.Enum<XmlOptions.XmlOptionsKeys>
  - - org.apache.xmlbeans.XmlOptions.XmlOptionsKeys

- All Implemented Interfaces:
    Serializable, Comparable<XmlOptions.XmlOptionsKeys>
  Enclosing class:
    XmlOptions

      public static enum XmlOptions.XmlOptionsKeys
      extends Enum<XmlOptions.XmlOptionsKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ATTRIBUTE_VALIDATION_COMPAT_MODE`
    `BASE_URI`
    `CHARACTER_ENCODING`
    `COMPILE_ANNOTATION_JAVADOC`
    `COMPILE_DOWNLOAD_URLS`
    `COMPILE_MDEF_NAMESPACES`
    `COMPILE_NO_ANNOTATIONS`
    `COMPILE_NO_PVR_RULE`
    `COMPILE_NO_UPA_RULE`
    `COMPILE_NO_VALIDATION`
    `COMPILE_PARTIAL_METHODS`
    `COMPILE_PARTIAL_TYPESYSTEM`
    `COMPILE_SUBSTITUTE_NAMES`
    `COPY_USE_NEW_SYNC_DOMAIN`
    `DISALLOW_DOCTYPE_DECLARATION`
    `DOCUMENT_SOURCE_NAME`
    `DOCUMENT_TYPE`
    `ENTITY_EXPANSION_LIMIT`
    `ENTITY_RESOLVER`
    `ERROR_LISTENER`
    `GENERATE_JAVA_VERSION`
    `LOAD_ADDITIONAL_NAMESPACES`
    `LOAD_ALLOW_DECIMAL_EXPONENT`
    `LOAD_DTD_GRAMMAR`
    `LOAD_ENTITY_BYTES_LIMIT`
    `LOAD_EXTERNAL_DTD`
    `LOAD_LINE_NUMBERS`
    `LOAD_LINE_NUMBERS_END_ELEMENT`
    `LOAD_MESSAGE_DIGEST`
    `LOAD_REPLACE_DOCUMENT_ELEMENT`
    `LOAD_SAVE_CDATA_BOOKMARKS`
    `LOAD_STRICT_FLOATING_POINT`
    `LOAD_STRIP_COMMENTS`
    `LOAD_STRIP_PROCINSTS`
    `LOAD_STRIP_WHITESPACE`
    `LOAD_SUBSTITUTE_NAMESPACES`
    `LOAD_TRIM_TEXT_BUFFER`
    `LOAD_USE_DEFAULT_RESOLVER`
    `LOAD_USE_LOCALE_CHAR_UTIL`
    `LOAD_USE_XMLREADER`
    `MAX_NUMBER_CHARS`
    `SAAJ_IMPL`
    `SAVE_AGGRESSIVE_NAMESPACES`
    `SAVE_CDATA_ENTITY_COUNT_THRESHOLD`
    `SAVE_CDATA_LENGTH_THRESHOLD`
    `SAVE_FILTER_PROCINST`
    `SAVE_IMPLICIT_NAMESPACES`
    `SAVE_INNER`
    `SAVE_NAMESPACES_FIRST`
    `SAVE_NO_ATTRIBUTE_WHITESPACE_ESCAPE`
    `SAVE_NO_XML_DECL`
    `SAVE_OPTIMIZE_FOR_SPEED`
    `SAVE_OUTER`
    `SAVE_PRETTY_PRINT`
    `SAVE_PRETTY_PRINT_INDENT`
    `SAVE_PRETTY_PRINT_OFFSET`
    `SAVE_SAX_NO_NSDECLS_IN_ATTRIBUTES`
    `SAVE_SUBSTITUTE_CHARACTERS`
    `SAVE_SUGGESTED_PREFIXES`
    `SAVE_SYNTHETIC_DOCUMENT_ELEMENT`
    `SAVE_USE_DEFAULT_NAMESPACE`
    `SAVE_USE_OPEN_FRAGMENT`
    `SCHEMA_CODE_PRINTER`
    `UNSYNCHRONIZED`
    `USE_SAME_LOCALE`
    `VALIDATE_ON_SET`
    `VALIDATE_STRICT`
    `VALIDATE_TEXT_ONLY`
    `VALIDATE_TREAT_LAX_AS_SKIP`
    `XPATH_USE_SAXON`
    `XPATH_USE_XMLBEANS`
    `XQUERY_CURRENT_NODE_VAR`
    `XQUERY_VARIABLE_MAP`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XmlOptions.XmlOptionsKeys` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static XmlOptions.XmlOptionsKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SAVE_NAMESPACES_FIRST

          public static final XmlOptions.XmlOptionsKeys SAVE_NAMESPACES_FIRST

    - #### SAVE_SYNTHETIC_DOCUMENT_ELEMENT

          public static final XmlOptions.XmlOptionsKeys SAVE_SYNTHETIC_DOCUMENT_ELEMENT

    - #### SAVE_PRETTY_PRINT

          public static final XmlOptions.XmlOptionsKeys SAVE_PRETTY_PRINT

    - #### SAVE_PRETTY_PRINT_INDENT

          public static final XmlOptions.XmlOptionsKeys SAVE_PRETTY_PRINT_INDENT

    - #### SAVE_PRETTY_PRINT_OFFSET

          public static final XmlOptions.XmlOptionsKeys SAVE_PRETTY_PRINT_OFFSET

    - #### SAVE_AGGRESSIVE_NAMESPACES

          public static final XmlOptions.XmlOptionsKeys SAVE_AGGRESSIVE_NAMESPACES

    - #### SAVE_USE_DEFAULT_NAMESPACE

          public static final XmlOptions.XmlOptionsKeys SAVE_USE_DEFAULT_NAMESPACE

    - #### SAVE_IMPLICIT_NAMESPACES

          public static final XmlOptions.XmlOptionsKeys SAVE_IMPLICIT_NAMESPACES

    - #### SAVE_SUGGESTED_PREFIXES

          public static final XmlOptions.XmlOptionsKeys SAVE_SUGGESTED_PREFIXES

    - #### SAVE_FILTER_PROCINST

          public static final XmlOptions.XmlOptionsKeys SAVE_FILTER_PROCINST

    - #### SAVE_USE_OPEN_FRAGMENT

          public static final XmlOptions.XmlOptionsKeys SAVE_USE_OPEN_FRAGMENT

    - #### SAVE_OUTER

          public static final XmlOptions.XmlOptionsKeys SAVE_OUTER

    - #### SAVE_INNER

          public static final XmlOptions.XmlOptionsKeys SAVE_INNER

    - #### SAVE_NO_XML_DECL

          public static final XmlOptions.XmlOptionsKeys SAVE_NO_XML_DECL

    - #### SAVE_SUBSTITUTE_CHARACTERS

          public static final XmlOptions.XmlOptionsKeys SAVE_SUBSTITUTE_CHARACTERS

    - #### SAVE_OPTIMIZE_FOR_SPEED

          public static final XmlOptions.XmlOptionsKeys SAVE_OPTIMIZE_FOR_SPEED

    - #### SAVE_CDATA_LENGTH_THRESHOLD

          public static final XmlOptions.XmlOptionsKeys SAVE_CDATA_LENGTH_THRESHOLD

    - #### SAVE_CDATA_ENTITY_COUNT_THRESHOLD

          public static final XmlOptions.XmlOptionsKeys SAVE_CDATA_ENTITY_COUNT_THRESHOLD

    - #### SAVE_SAX_NO_NSDECLS_IN_ATTRIBUTES

          public static final XmlOptions.XmlOptionsKeys SAVE_SAX_NO_NSDECLS_IN_ATTRIBUTES

    - #### SAVE_NO_ATTRIBUTE_WHITESPACE_ESCAPE

          public static final XmlOptions.XmlOptionsKeys SAVE_NO_ATTRIBUTE_WHITESPACE_ESCAPE

    - #### LOAD_REPLACE_DOCUMENT_ELEMENT

          public static final XmlOptions.XmlOptionsKeys LOAD_REPLACE_DOCUMENT_ELEMENT

    - #### LOAD_STRIP_WHITESPACE

          public static final XmlOptions.XmlOptionsKeys LOAD_STRIP_WHITESPACE

    - #### LOAD_STRIP_COMMENTS

          public static final XmlOptions.XmlOptionsKeys LOAD_STRIP_COMMENTS

    - #### LOAD_STRIP_PROCINSTS

          public static final XmlOptions.XmlOptionsKeys LOAD_STRIP_PROCINSTS

    - #### LOAD_LINE_NUMBERS

          public static final XmlOptions.XmlOptionsKeys LOAD_LINE_NUMBERS

    - #### LOAD_LINE_NUMBERS_END_ELEMENT

          public static final XmlOptions.XmlOptionsKeys LOAD_LINE_NUMBERS_END_ELEMENT

    - #### LOAD_SAVE_CDATA_BOOKMARKS

          public static final XmlOptions.XmlOptionsKeys LOAD_SAVE_CDATA_BOOKMARKS

    - #### LOAD_SUBSTITUTE_NAMESPACES

          public static final XmlOptions.XmlOptionsKeys LOAD_SUBSTITUTE_NAMESPACES

    - #### LOAD_TRIM_TEXT_BUFFER

          public static final XmlOptions.XmlOptionsKeys LOAD_TRIM_TEXT_BUFFER

    - #### LOAD_ADDITIONAL_NAMESPACES

          public static final XmlOptions.XmlOptionsKeys LOAD_ADDITIONAL_NAMESPACES

    - #### LOAD_MESSAGE_DIGEST

          public static final XmlOptions.XmlOptionsKeys LOAD_MESSAGE_DIGEST

    - #### LOAD_USE_DEFAULT_RESOLVER

          public static final XmlOptions.XmlOptionsKeys LOAD_USE_DEFAULT_RESOLVER

    - #### LOAD_USE_XMLREADER

          public static final XmlOptions.XmlOptionsKeys LOAD_USE_XMLREADER

    - #### XQUERY_CURRENT_NODE_VAR

          public static final XmlOptions.XmlOptionsKeys XQUERY_CURRENT_NODE_VAR

    - #### XQUERY_VARIABLE_MAP

          public static final XmlOptions.XmlOptionsKeys XQUERY_VARIABLE_MAP

    - #### CHARACTER_ENCODING

          public static final XmlOptions.XmlOptionsKeys CHARACTER_ENCODING

    - #### ERROR_LISTENER

          public static final XmlOptions.XmlOptionsKeys ERROR_LISTENER

    - #### DOCUMENT_TYPE

          public static final XmlOptions.XmlOptionsKeys DOCUMENT_TYPE

    - #### DOCUMENT_SOURCE_NAME

          public static final XmlOptions.XmlOptionsKeys DOCUMENT_SOURCE_NAME

    - #### COMPILE_SUBSTITUTE_NAMES

          public static final XmlOptions.XmlOptionsKeys COMPILE_SUBSTITUTE_NAMES

    - #### COMPILE_NO_VALIDATION

          public static final XmlOptions.XmlOptionsKeys COMPILE_NO_VALIDATION

    - #### COMPILE_NO_UPA_RULE

          public static final XmlOptions.XmlOptionsKeys COMPILE_NO_UPA_RULE

    - #### COMPILE_NO_PVR_RULE

          public static final XmlOptions.XmlOptionsKeys COMPILE_NO_PVR_RULE

    - #### COMPILE_NO_ANNOTATIONS

          public static final XmlOptions.XmlOptionsKeys COMPILE_NO_ANNOTATIONS

    - #### COMPILE_DOWNLOAD_URLS

          public static final XmlOptions.XmlOptionsKeys COMPILE_DOWNLOAD_URLS

    - #### COMPILE_MDEF_NAMESPACES

          public static final XmlOptions.XmlOptionsKeys COMPILE_MDEF_NAMESPACES

    - #### COMPILE_PARTIAL_TYPESYSTEM

          public static final XmlOptions.XmlOptionsKeys COMPILE_PARTIAL_TYPESYSTEM

    - #### COMPILE_PARTIAL_METHODS

          public static final XmlOptions.XmlOptionsKeys COMPILE_PARTIAL_METHODS

    - #### COMPILE_ANNOTATION_JAVADOC

          public static final XmlOptions.XmlOptionsKeys COMPILE_ANNOTATION_JAVADOC

    - #### VALIDATE_ON_SET

          public static final XmlOptions.XmlOptionsKeys VALIDATE_ON_SET

    - #### VALIDATE_TREAT_LAX_AS_SKIP

          public static final XmlOptions.XmlOptionsKeys VALIDATE_TREAT_LAX_AS_SKIP

    - #### VALIDATE_STRICT

          public static final XmlOptions.XmlOptionsKeys VALIDATE_STRICT

    - #### VALIDATE_TEXT_ONLY

          public static final XmlOptions.XmlOptionsKeys VALIDATE_TEXT_ONLY

    - #### UNSYNCHRONIZED

          public static final XmlOptions.XmlOptionsKeys UNSYNCHRONIZED

    - #### ENTITY_RESOLVER

          public static final XmlOptions.XmlOptionsKeys ENTITY_RESOLVER

    - #### BASE_URI

          public static final XmlOptions.XmlOptionsKeys BASE_URI

    - #### SCHEMA_CODE_PRINTER

          public static final XmlOptions.XmlOptionsKeys SCHEMA_CODE_PRINTER

    - #### GENERATE_JAVA_VERSION

          public static final XmlOptions.XmlOptionsKeys GENERATE_JAVA_VERSION

    - #### USE_SAME_LOCALE

          public static final XmlOptions.XmlOptionsKeys USE_SAME_LOCALE

    - #### COPY_USE_NEW_SYNC_DOMAIN

          public static final XmlOptions.XmlOptionsKeys COPY_USE_NEW_SYNC_DOMAIN

    - #### LOAD_ENTITY_BYTES_LIMIT

          public static final XmlOptions.XmlOptionsKeys LOAD_ENTITY_BYTES_LIMIT

    - #### ENTITY_EXPANSION_LIMIT

          public static final XmlOptions.XmlOptionsKeys ENTITY_EXPANSION_LIMIT

    - #### LOAD_DTD_GRAMMAR

          public static final XmlOptions.XmlOptionsKeys LOAD_DTD_GRAMMAR

    - #### LOAD_EXTERNAL_DTD

          public static final XmlOptions.XmlOptionsKeys LOAD_EXTERNAL_DTD

    - #### DISALLOW_DOCTYPE_DECLARATION

          public static final XmlOptions.XmlOptionsKeys DISALLOW_DOCTYPE_DECLARATION

    - #### SAAJ_IMPL

          public static final XmlOptions.XmlOptionsKeys SAAJ_IMPL

    - #### LOAD_USE_LOCALE_CHAR_UTIL

          public static final XmlOptions.XmlOptionsKeys LOAD_USE_LOCALE_CHAR_UTIL

    - #### XPATH_USE_SAXON

          public static final XmlOptions.XmlOptionsKeys XPATH_USE_SAXON

    - #### XPATH_USE_XMLBEANS

          public static final XmlOptions.XmlOptionsKeys XPATH_USE_XMLBEANS

    - #### ATTRIBUTE_VALIDATION_COMPAT_MODE

          public static final XmlOptions.XmlOptionsKeys ATTRIBUTE_VALIDATION_COMPAT_MODE

    - #### LOAD_STRICT_FLOATING_POINT

          public static final XmlOptions.XmlOptionsKeys LOAD_STRICT_FLOATING_POINT

    - #### LOAD_ALLOW_DECIMAL_EXPONENT

          public static final XmlOptions.XmlOptionsKeys LOAD_ALLOW_DECIMAL_EXPONENT

    - #### MAX_NUMBER_CHARS

          public static final XmlOptions.XmlOptionsKeys MAX_NUMBER_CHARS

  - ### Method Detail

    - #### values

          public static XmlOptions.XmlOptionsKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XmlOptions.XmlOptionsKeys c : XmlOptions.XmlOptionsKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static XmlOptions.XmlOptionsKeys valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null